ParamsAwareLocaleChangeInterceptor (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.web.i18n

## [Groovy] Class ParamsAwareLocaleChangeInterceptor

- org.grails.web.i18n.ParamsAwareLocaleChangeInterceptor

- A LocaleChangeInterceptor instance that is aware of the Grails params object.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.servlet.i18n.LocaleChangeInterceptor` | `DEFAULT_PARAM_NAME`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.web.servlet.LocaleResolver` | `localeResolver`
    `java.lang.String` | `paramName`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`
    `` | `void` | `setLocaleResolver(org.springframework.web.servlet.LocaleResolver localeResolver)`
    `` | `void` | `setParamName(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.servlet.i18n.LocaleChangeInterceptor` | `org.springframework.web.servlet.i18n.LocaleChangeInterceptor#getParamName(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#setHttpMethods([Ljava.lang.String;), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#setParamName(java.lang.String), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#getHttpMethods(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#setIgnoreInvalidLocale(boolean), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#isIgnoreInvalidLocale(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#setLanguageTagCompliant(boolean), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#isLanguageTagCompliant(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#preHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#postHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, org.springframework.web.servlet.ModelAndView), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#afterCompletion(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, java.lang.Exception), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#afterConcurrentHandlingStarted(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#wait(long, int), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#wait(long), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#wait(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#equals(java.lang.Object), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#toString(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#hashCode(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#getClass(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#notify(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#notifyAll()`
    `class org.springframework.web.servlet.handler.HandlerInterceptorAdapter` | `org.springframework.web.servlet.handler.HandlerInterceptorAdapter#postHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, org.springframework.web.servlet.ModelAndView), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#afterCompletion(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, java.lang.Exception), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#afterConcurrentHandlingStarted(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#preHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(long, int), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(long), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#equals(java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#toString(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#hashCode(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#getClass(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#notify(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#notifyAll()`

- - ### Property Detail

    - #### org.springframework.web.servlet.LocaleResolver localeResolver

    - #### java.lang.String paramName

  - ### Method Detail

    - #### @java.lang.Override boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) void setLocaleResolver(org.springframework.web.servlet.LocaleResolver localeResolver)

    - #### void setParamName(java.lang.String name)